
import Vue from 'vue';
import VueI18n from 'vue-i18n'
Vue.use(VueI18n);
let defaultLang = 'zh'
// 加载语言包配置json文件
let i18n = new VueI18n({
    locale: defaultLang,
    messages: {
        zh: require('./zh.json'),
        en: require('./en.json'),
    }

});

class LangManager {
    lang = defaultLang;
    tmsI18n = i18n;

    setLangType(type) {
        i18n.locale = this.lang = type;

    }

}

export { LangManager }





