import Vue from 'vue';
import Router from 'vue-router';
// import About from './views/About.vue';

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: '/',
      name: 'theme',
      component: () => import('./views/tmsSwitchThemeView.vue'),
    },
    {
      path: '/tmsSearchGroup',
      name: 'tmsSearchGroup',
      component: () => import('./views/tmsSearchgroupView.vue'),
    },
    {
      path: '/table',
      name: 'tmsTable',
      component: () => import('./views/tmsTableSampleView.vue'),
    },
    {
      path: '/confirmbtn',
      name: 'tmsConfirmbtn',
      component: () => import('./views/tmsConfirmbtnView.vue'),
    },
    {
      path: '/frequentSelect',
      name: 'tmsFrequentSelect',
      component: () => import('./views/tmsFrequentSelectView.vue'),
    },
    {
      path: '/frequentQuery',
      name: 'tmsFrequentQuery',
      component: () => import('./views/tmsFrequentQueryView.vue'),
    },
    {
      path: '/searchInput',
      name: 'searchInput',
      component: () => import('./views/tmsSearchInputView.vue'),
    },    
    {
      path: '/newSearchInput',
      name: 'newSearchInput',
      component: () => import('./views/newSearchInputView.vue'),
    },
    {
      path: '/popperSelectBoxView',
      name: 'popperSelectBoxView',
      component: () => import('./views/tmsPopperSelectBoxView.vue'),
    },
    {
      path: '/tmsCountryView',
      name: 'tmsCountryView',
      component: () => import('./views/tmsCountryView.vue'),
    },
    {
      path: '/tmsSequenceDiagramView',
      name: 'tmsSequenceDiagramView',
      component: () => import('./views/tmsSequenceDiagramView.vue'),
    },
    {
      path: '/tmsDiagram1View',
      name: 'tmsDiagram1View',
      component: () => import('./views/tmsDiagram1View.vue'),
    },
    {
      path: '/tmsMultiSelectView',
      name: 'tmsMultiSelectView',
      component: () => import('./views/tmsMultiSelectView.vue'),
    }  

  ],
});
