/**
 * 获取页面权限
 * @param {*} nameOrId
 */
function getAuthorityMap(nameOrId: string) {
  let limitJSON: any = localStorage.getItem("limit");
  let limit: Array<any> = JSON.parse(limitJSON);
  let map: any = {};
  if (limit) {
    for (let item of limit) {
      if (item.menuName == nameOrId || item.id == nameOrId) {
        item.controlList.forEach((v: any) => {
          map[v.singleKey] = v.controlDisplay;
        });
        break;
      }
    }
  }
  return map;
}

/**
 *
 * @param singleKey
 */
function setAuthority(authorityMap: any, singleKey: string) {
  if (authorityMap.hasOwnProperty(singleKey)) {
    return authorityMap[singleKey];
  } else {
    return true;
  }
  
}

let AuthorityManager: any = {
  getAuthorityMap: getAuthorityMap,
  setAuthority: setAuthority
};

export { AuthorityManager };
