class MsgManager {
    private types = {}
    onMsg(context, callback) {
        context.addEventListener("message", e => {
            callback(e.data)
        });

    }

    offMsg(context, callback) {
        context.removeEventListener("message", callback);
    }

    emitMsg(context, type, params = null) {
        // if (this.types[type]) {
        //     throw `已存在${type}类型`
        // }
        this.types[type] = type;
        context.postMessage(
            {
                type,
                params
            },
            "*"
        );
    }
}



export { MsgManager }