class DistDataCenter {
  /**
   * 获取币种中英名称信息，数据结构参看CurrencyConfig.json
   */
  static getCurrencyConfig() {
    let config = require("../config/CurrencyConfig.json");
    return config;
  }

  /**
   * 获取币种中英名称信息列表
   */
  static getCurrencyInfoList() {
    let config = this.getCurrencyConfig();
    let list: Array<any> = [];
    for (let key in config) {
      list.push(config[key]);
    }
    return list;
  }

  /**
   * 获取国家中英名称信息，数据结构参看CountryConfig.json
   */
  static getCountryConfig() {
    let config = require("../config/CountryConfig.json");
    return config;
  }

  /**
   * 获取币种中英名称信息列表
   */
  static getCountryInfoList() {
    let config = this.getCountryConfig();
    let list: Array<any> = [];
    for (let key in config) {
      list.push(config[key]);
    }
    return list;
  }
}

export { DistDataCenter };
