

import Vue from 'vue';
// import App from './App.vue';
import home from './home.vue';
import router from './router';
import store from './store';
import * as CodeMirror from 'codemirror/lib/codemirror'
import 'codemirror/mode/javascript/javascript'
import 'codemirror/lib/codemirror.css'
import 'codemirror/theme/mdn-like.css'
import { TMS_COMPONENT, LangManager, MsgManager } from './index';

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import '../src/assets/style/index.scss';

Vue.config.productionTip = false;
Vue.prototype.CodeMirror = CodeMirror


let L = new LangManager();
Vue.prototype.L = L; 
let i18n = L.tmsI18n;
// let M = new MsgManager()
// M.onMsg(window, data => {
//   if (data.type === 'changeComponentLang') {
//     L.setLangType(data.params.lang);
//   }
// })

console.log('改变语言包')

Vue.use(ElementUI, { size: 'small' });
Vue.use(TMS_COMPONENT);

new Vue({
  router,
  store,
  i18n,
  render: (h) => h(home),
}).$mount('#app');
